<?php
include "scrinit.php";
require("dbconnect.php");
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:14px; }
<p style="font-size:14px;"></p>
</style>

</script>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
<script type="text/javascript">

function popupCenter(pageURL, title, w, h) {
    var left = (screen.width / 2)  - (w / 2);
    var top  = (screen.height / 2) - (h / 2);
    var targetWin = window.open(pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=1000, height=300, top='+top+', left='+left);
}
</script>

</head>
<body>
<h2>ΚΑΤΕΥΘΥΝΣΗ ΚΑΙ ΜΑΘΗΜΑΤΑ ΠΟΥ ΕΧΕΤΕ ΕΠΙΛΕΞΕΙ </h2>
<?php 
$dt=$_SESSION['dt'];
$usr=$_SESSION['usr'];
$allagi=$_SESSION['allagi'];
$omp=$_SESSION['omp'];
$tax=$_SESSION['tax'];


echo "<br>";
echo "<b>"."ΣΤΟΙΧΕΙΑ ΜΑΘΗΤΗ/ΜΑΘΗΤΡΙΑΣ:"."</b>";
//.....................
$result = mysqli_query($con,"SELECT tmima,eponimo,onoma,mitroo FROM allstudentinfo WHERE mitroo='$usr'");
$row=mysqli_fetch_array($result);
echo "<br>";
echo "<table style='width:400px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#E1F5A9'  >
<th>Μαθητής/τρια</th>
<th>Αρ. Μητρώου</th>
<th>Τμήμα</th>
</tr>";
echo "<tr>";
echo "<td>".$row['eponimo']."  ".$row['onoma']. "</td>";
echo "<td>".$row['mitroo']. "</td>";
echo "<td>". $row['tmima'] . "</td>"; 
echo "</tr>";
echo "</table>"; 
echo "<br>";
//.........................................................
$act=$_POST['act'];
$kat=$_POST['kat'];
if(isset($_POST['katb']) and $_POST['katb']<>"x"){$act=0;}

if ($act==2)
{
	$kseni=$_POST['alliglossa'];
	$met=array();
	$met=unserialize($_POST['metataksi']);
	$cntmet=count($met);
	$math=array();
	$math=$_POST['math'];
	$cnt1=count($math);

	if(in_array("Ξένη Γλώσσα",$math))
	{
		if ($math[0]=="Ξένη Γλώσσα"){$math[0]=$kseni;}
		if ($math[1]=="Ξένη Γλώσσα"){$math[1]=$kseni;}
	}
	if(in_array("Αρχαία Ελληνικά",$math) and $omp <> 1)
	{
		if ($met[1]==0)
		{$met[1]="Αρχαία Ελληνικά";} 
		else {$met[2]="Αρχαία Ελληνικά";}
	}
}
if ($act==0)
{   $kseni=$_POST['alliglossa'];
	$metb=$elect=$math=array();
	$metb=unserialize($_POST['metbasic']);
	$elect=unserialize($_POST['electold']);
	$math=$_POST['math'];
	$cnt1=count($math);
    $metel = array_diff($math, $elect);
	$cnt2=count($metel);
	if(in_array("Ξένη Γλώσσα",$math))
	{
		if ($math[0]=="Ξένη Γλώσσα"){$math[0]=$kseni;}
		if ($math[1]=="Ξένη Γλώσσα"){$math[1]=$kseni;}
	}
	if(in_array("Αρχαία Ελληνικά",$math) and $omp <> 1)
	{
		if ($met1=="0")
		{$met1="Αρχαία Ελληνικά";} 
		else {$met2="Αρχαία Ελληνικά";}
	}
	$metel = array_diff($math, $elect);
	$cnt2=count($metel);
}
if ($act==1)
{   
	$kat=$_POST['bkat'];
	
	$math=array();
	$math[0]=$_POST['el1'];
	$math[1]=$_POST['el2'];
	$cnt1=count($math);
	$met1=0;$met2=0;
}

$sql = mysqli_query($con,"SELECT * FROM kats where kat='$kat'");
$row = mysqli_fetch_array($sql);
$katname=$row['name'];
$sql2 = mysqli_query($con,"SELECT * FROM must where kat='$kat'");
$row2 = mysqli_fetch_array($sql2);
$m1=$row2['must1'];$m2=$row2['must2'];$m3=$row2['must3'];
echo "<br>";
echo "<b>"."ΚΑΤΕΥΘΥΝΣΗ ΚΑΙ ΜΑΘΗΜΑΤΑ:"."</b>";
echo "<table style='width:700px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#819FF7'  >
<th>ΚΑΤΕΥΘΥΝΣΗ ΣΠΟΥΔΩΝ</th>
<th>ΥΠΟΧΡΕΩΤΙΚΑ ΜΑΘΗΜΑΤΑ</th>
<th>ΜΑΘΗΜΑΤΑ ΕΠΙΛΟΓΗΣ</th> </tr>";
echo "<tr>";
echo "<td>".$kat." - ".$katname."</td>";
echo "<td>";
echo "Νέα Ελληνικά"."<br>";
echo $m1."<br>".$m2."<br>".$m3;
echo "</td>";
echo "<td>";
echo $math[0]."<br>".$math[1]."<br>";
echo "</td>"."<tr>"."</table>";
echo "<br>"."<br>";

// insert or update tables *****************************************	
$sql=mysqli_query($con,"select * from epiloges where mitroo='$usr'");
if (mysqli_num_rows($sql) > 0) 
{
		$sql="DELETE FROM epiloges WHERE mitroo='$usr' ";
		if (!mysqli_query($con,$sql)){die('Error: ' . mysqli_error($con));}
		
}
		
$sql= "INSERT INTO epiloges (date,mitroo,omp,kat,epilogi,metataksi,class) 
        VALUES ('$dt','$usr','$omp','$kat','$math[0]','','$tax')" ;
if (!mysqli_query($con,$sql)){die('Error: ' . mysqli_error($con));} 
	
if ($cnt1 > 1)
{
	   $sql= "INSERT INTO epiloges (date,mitroo,omp,kat,epilogi,metataksi,class) 
	   VALUES ('$dt','$usr','$omp','$kat','$math[1]','','$tax')" ;	
	   if (!mysqli_query($con,$sql)){die('Error: ' . mysqli_error($con));}
}
if ($kat <> 6)
{
// insert or update tables *****************************************
if ($act==2)
{
if ($met[1] <> "0" or $met[2] <> "0")
{
echo "<font face='arial' size='4pt' color='#ff0000'> ΑΠΑΙΤΟΥΝΤΑΙ ΕΞΕΤΑΣΕΙΣ ΜΕΤΑΤΑΞΗΣ: </font> ";

echo "<table style='width:700px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#819FF7'  >
<th>ΜΑΘΗΜΑΤΑ ΜΕΤΑΤΑΞΗΣ</th>
<th>ΠΛΗΡΟΦΟΡΙΕΣ</th>
</tr>";
echo "<tr>";
echo "<td>";
echo $met[1]."<br>";
 if ($met[2] <> "0")
   {
   echo $met[2]."<br>";
   }
echo "</td>";
echo "<td>";
echo "Οι εξετάσεις μετάταξης θα γίνουν τον Ιούνιο 2017"."<br>";
echo "Το πρόγραμμα και το Αναλυτικό των εξετάσεων θα ανακοινωθεί αργότερα"."<br>";
echo "</td>";
echo "<tr>"."</table>";

	if ($met[1] <> NULL )
	{
	   $sql= "INSERT INTO epiloges (date,mitroo,omp,kat,epilogi,metataksi,class) 
	   VALUES ('$dt','$usr','$omp','$kat','','$met[1]','$tax')" ;	
	   if (!mysqli_query($con,$sql)){die('Error: ' . mysqli_error($con));}
	}
	if ($met[2] <> NULL )
	{
	   $sql= "INSERT INTO epiloges (date,mitroo,omp,kat,epilogi,metataksi,class) 
	   VALUES ('$dt','$usr','$omp','$kat','','$met[2]','$tax')" ;	
	   if (!mysqli_query($con,$sql)){die('Error: ' . mysqli_error($con));}
	}

}
}
if (($act==0 and (count($metb) > 0) or $cnt2 > 0))
{

echo "<font face='arial' size='4pt' color='#ff0000'> ΑΠΑΙΤΟΥΝΤΑΙ ΕΞΕΤΑΣΕΙΣ ΜΕΤΑΤΑΞΗΣ: </font> ";

echo "<table style='width:700px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#819FF7'  >
<th>ΜΑΘΗΜΑΤΑ ΜΕΤΑΤΑΞΗΣ</th>
<th>ΠΛΗΡΟΦΟΡΙΕΣ</th>
</tr>";
echo "<tr>";
echo "<td>";
foreach ($metb as $meta)
{
  echo $meta."<br>";
  $sql= "INSERT INTO epiloges (date,mitroo,omp,kat,epilogi,metataksi,class) VALUES ('$dt','$usr','$omp','$kat','','$meta','$tax')" ;	
	   if (!mysqli_query($con,$sql)){die('Error: ' . mysqli_error($con));}
}
foreach ($metel as $meta)
{
  echo $meta."<br>";
  $sql= "INSERT INTO epiloges (date,mitroo,omp,kat,epilogi,metataksi,class) VALUES ('$dt','$usr','$omp','$kat','','$meta','$tax')" ;	
	   if (!mysqli_query($con,$sql)){die('Error: ' . mysqli_error($con));}
}
echo "</td>";
echo "<td>";
echo "Οι εξετάσεις μετάταξης θα γίνουν τον Ιούνιο 2017"."<br>";
echo "Το πρόγραμμα και το Αναλυτικό των εξετάσεων θα ανακοινωθεί αργότερα"."<br>";
echo "</td>";
echo "<tr>"."</table>";

}
if ($cnt2 > 0)
{
	
}
}
echo "<br>"."<br>";
?>
ΥΠΟΓΡΑΦΗ ΜΑΘΗΤΗ/ΤΡΙΑΣ
<br>
<br>
…………………………<br>         
<?php
echo "(Υπογραφή)".str_repeat('&nbsp;', 35)."Ημερομηνία:".".................."."<br>";
echo "<br>"."<br>";
echo "---------------------------------------------------------------------------------------------------------------------------";
?>
<h3>ΔΗΛΩΣΗ ΓΟΝΕΑ / ΚΗΔΕΜΟΝΑ:</h3>
Είμαι ενήμερος/η και εγκρίνω τις επιλογές του παιδιού μου. 
<br>
<br>
Mε τιμή
<br>
<br>
…………………………<br>         
<?php
echo "(Υπογραφή)".str_repeat('&nbsp;', 35)."Ημερομηνία:".".................."."<br>";

echo "---------------------------------------------------------------------------------------------------------------------------";
echo "<br>"."<br>"."<br>"."<br>";
//*****************************
?>	
<br /><br />
<button onClick="window.print()" style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;">ΕΚτύπωση της Σελίδας</button>
<a  href=<?php echo $menu;?> style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;text-decoration:none" >  Επιστροφή στο Μενού  </a>
</body>
</html>